VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo:

## Avaliable Methods
public method | get_network_name ()
public method | set_type ()
public method | set_opaque_network_type ()
public method | get_distributed_switch_uuid ()
public method | get_opaque_network_id ()
public method | get_connection_cookie ()
public method | get_host_device ()
public method | set_network ()
public method | new ()
public method | set_distributed_port ()
public method | set_network_name ()
public method | set_distributed_switch_uuid ()
public method | set_connection_cookie ()
public method | get_network ()
public method | set_host_device ()
public method | get_opaque_network_type ()
public method | get_distributed_port ()
public method | set_opaque_network_id ()
public method | get_type ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo` class contains information about the physical resource backing a virtual Ethernet adapter.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::get_connection_cookie | ( |  | ) |

Gets the value of 'connection_cookie' property.

Return values

  connection_cookie | - The current value of the field. Server-generated cookie that identifies the connection to the port. This ookie may be used to verify that the virtual machine is the rightful owner of the port. Optional#

Code:
click to view
# Number of lines of code in get_connection_cookie: 4
sub get_connection_cookie {
my ($self, %args) = @_;
return $self->{'connection_cookie'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::get_distributed_port | ( |  | ) |

Gets the value of 'distributed_port' property.

Return values

  distributed_port | - The current value of the field. Key of the distributed virtual port that backs the virtual Ethernet adapter. Optional#

Code:
click to view
# Number of lines of code in get_distributed_port: 4
sub get_distributed_port {
my ($self, %args) = @_;
return $self->{'distributed_port'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::get_distributed_switch_uuid | ( |  | ) |

Gets the value of 'distributed_switch_uuid' property.

Return values

  distributed_switch_uuid | - The current value of the field. UUID of the distributed virtual switch that backs the virtual Ethernet adapter. optional#

Code:
click to view
# Number of lines of code in get_distributed_switch_uuid: 4
sub get_distributed_switch_uuid {
my ($self, %args) = @_;
return $self->{'distributed_switch_uuid'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::get_host_device | ( |  | ) |

Gets the value of 'host_device' property.

Return values

  host_device | - The current value of the field. Name of the device backing the virtual Ethernet adapter. optional#

Code:
click to view
# Number of lines of code in get_host_device: 4
sub get_host_device {
my ($self, %args) = @_;
return $self->{'host_device'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::get_network | ( |  | ) |

Gets the value of 'network' property.

Return values

  network | - The current value of the field. Identifier of the network backing the virtual Ethernet adapter. Optional#

Code:
click to view
# Number of lines of code in get_network: 4
sub get_network {
my ($self, %args) = @_;
return $self->{'network'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::get_network_name | ( |  | ) |

Gets the value of 'network_name' property.

Return values

  network_name | - The current value of the field. Name of the standard portgroup backing the virtual Ethernet adapter. optional#

Code:
click to view
# Number of lines of code in get_network_name: 4
sub get_network_name {
my ($self, %args) = @_;
return $self->{'network_name'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::get_opaque_network_id | ( |  | ) |

Gets the value of 'opaque_network_id' property.

Return values

  opaque_network_id | - The current value of the field. Identifier of the opaque network that backs the virtual Ethernet adapter. optional#

Code:
click to view
# Number of lines of code in get_opaque_network_id: 4
sub get_opaque_network_id {
my ($self, %args) = @_;
return $self->{'opaque_network_id'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::get_opaque_network_type | ( |  | ) |

Gets the value of 'opaque_network_type' property.

Return values

  opaque_network_type | - The current value of the field. Type of the opaque network that backs the virtual Ethernet adapter. optional#

Code:
click to view
# Number of lines of code in get_opaque_network_type: 4
sub get_opaque_network_type {
my ($self, %args) = @_;
return $self->{'opaque_network_type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Backing type for the virtual Ethernet adapter. BackingType#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 42
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'STANDARD_PORTGROUP' => ['network', 'network_name'],
'DISTRIBUTED_PORTGROUP' => ['network', 'distributed_switch_uuid', 'distributed_port', 'connection_cookie'],
'OPAQUE_NETWORK' => ['network', 'opaque_network_type', 'opaque_network_id'],
'HOST_DEVICE' => ['host_device'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{network} = $args{'network'};
$self->{network_name} = $args{'network_name'};
$self->{host_device} = $args{'host_device'};
$self->{distributed_switch_uuid} = $args{'distributed_switch_uuid'};
$self->{distributed_port} = $args{'distributed_port'};
$self->{connection_cookie} = $args{'connection_cookie'};
$self->{opaque_network_type} = $args{'opaque_network_type'};
$self->{opaque_network_id} = $args{'opaque_network_id'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.ethernet.backing_info');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Ethernet::BackingType'));
$self->set_binding_field('key' => 'network', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'network_name', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'host_device', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'distributed_switch_uuid', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'distributed_port', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'connection_cookie', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'opaque_network_type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'opaque_network_id', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::set_connection_cookie | ( |  | ) |

Sets the given value for 'connection_cookie' property.

Parameters

  connection_cookie | - New value for the field. Server-generated cookie that identifies the connection to the port. This ookie may be used to verify that the virtual machine is the rightful owner of the port.

Code:
click to view
# Number of lines of code in set_connection_cookie: 5
sub set_connection_cookie {
my ($self, %args) = @_;
$self->{'connection_cookie'} = $args{'connection_cookie'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::set_distributed_port | ( |  | ) |

Sets the given value for 'distributed_port' property.

Parameters

  distributed_port | - New value for the field. Key of the distributed virtual port that backs the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_distributed_port: 5
sub set_distributed_port {
my ($self, %args) = @_;
$self->{'distributed_port'} = $args{'distributed_port'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::set_distributed_switch_uuid | ( |  | ) |

Sets the given value for 'distributed_switch_uuid' property.

Parameters

  distributed_switch_uuid | - New value for the field. UUID of the distributed virtual switch that backs the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_distributed_switch_uuid: 5
sub set_distributed_switch_uuid {
my ($self, %args) = @_;
$self->{'distributed_switch_uuid'} = $args{'distributed_switch_uuid'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::set_host_device | ( |  | ) |

Sets the given value for 'host_device' property.

Parameters

  host_device | - New value for the field. Name of the device backing the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_host_device: 5
sub set_host_device {
my ($self, %args) = @_;
$self->{'host_device'} = $args{'host_device'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::set_network | ( |  | ) |

Sets the given value for 'network' property.

Parameters

  network | - New value for the field. Identifier of the network backing the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_network: 5
sub set_network {
my ($self, %args) = @_;
$self->{'network'} = $args{'network'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::set_network_name | ( |  | ) |

Sets the given value for 'network_name' property.

Parameters

  network_name | - New value for the field. Name of the standard portgroup backing the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_network_name: 5
sub set_network_name {
my ($self, %args) = @_;
$self->{'network_name'} = $args{'network_name'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::set_opaque_network_id | ( |  | ) |

Sets the given value for 'opaque_network_id' property.

Parameters

  opaque_network_id | - New value for the field. Identifier of the opaque network that backs the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_opaque_network_id: 5
sub set_opaque_network_id {
my ($self, %args) = @_;
$self->{'opaque_network_id'} = $args{'opaque_network_id'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::set_opaque_network_type | ( |  | ) |

Sets the given value for 'opaque_network_type' property.

Parameters

  opaque_network_type | - New value for the field. Type of the opaque network that backs the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_opaque_network_type: 5
sub set_opaque_network_type {
my ($self, %args) = @_;
$self->{'opaque_network_type'} = $args{'opaque_network_type'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Ethernet::BackingInfo::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Backing type for the virtual Ethernet adapter.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Ethernet.pm